2019-08-24 00:18 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004699Spring engineGeneralpublic2015-06-25 21:00
ReporterJools 
Assigned Tocleanrock 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target VersionFixed in Version98.0.1+git 
Summary0004699: Soundhitwet is not played; always plays soundhitdry
DescriptionAll explosions always play soundhitdry even if they occur in water.

Tested by comparing the explosion sound by shooting with a guardian in water on coldplace, and with engine 96.0 and 98.0.1-403.

Tested with xta and ba.
Steps To ReproduceSee attached replays
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0014148

user744

Last edited: 2015-03-12 15:50

View 2 revisions

weaponDef:
soundHitWet = "waterplop.wav",
soundHitDry = "woohoping.wav",

91.0 - different sounds
94.1 - different sounds
96.0 - different sounds
98.0 - only plays soundHitDry

~0014154

cleanrock (developer)

https://github.com/spring/spring/commit/1aad5655fadd5b191f6aab359202bec3ac96049d

~0014704

cleanrock (developer)

Fix 1aad5655fadd5b191f6aab359202bec3ac96049d committed to master branch: fix incorrect use of GetFlagsFromHeight in CGameHelper::Explosion (fixes 0004699), repo: spring changeset id: 5236
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-03-12 14:02 Jools New Issue
2015-03-12 14:02 Jools File Added: 20150312_145603_TheColdPlace_98.0.1-403-g856e172 develop.sdf
2015-03-12 14:02 Jools File Added: 20150312_145259_TheColdPlace_96.sdf
2015-03-12 15:35 user744 Note Added: 0014148
2015-03-12 15:50 user744 Note Edited: 0014148 View Revisions
2015-03-12 19:06 cleanrock Note Added: 0014154
2015-03-12 19:06 cleanrock Status new => resolved
2015-03-12 19:06 cleanrock Fixed in Version => 98.0.1+git
2015-03-12 19:06 cleanrock Resolution open => fixed
2015-03-12 19:06 cleanrock Assigned To => cleanrock
2015-06-25 21:00 cleanrock Changeset attached => spring master 1aad5655
2015-06-25 21:00 cleanrock Note Added: 0014704
+Issue History